## org.apache.catalina.deploy
Class ContextResourceLink

    java.lang.Object
      org.apache.catalina.deploy.ContextResourceLink

All Implemented Interfaces:
  java.io.Serializable

public class ContextResourceLink
extends java.lang.Object
implements java.io.Serializable

Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Version:
  $Revision: 1.4 $ $Date: 2004/05/13 20:40:49 $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected NamingResources` `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ContextResourceLink()`

Method Summary
`java.lang.String` `getGlobal()`
`java.lang.String` `getName()`
`NamingResources` `getNamingResources()`
`java.lang.String` `getType()`
`void` `setGlobal(java.lang.String global)`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ContextResourceLink

    public ContextResourceLink()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getGlobal

    public java.lang.String getGlobal()

### setGlobal

    public void setGlobal(java.lang.String global)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

### getNamingResources

    public NamingResources getNamingResources()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.